Skip to content

access / tfa ​

6 operations.

GET /access/tfa ​

ts
proxmox.access.tfa.$get()

List TFA configurations of users.

Returns an array of object.

GET /access/tfa/{userid} ​

ts
proxmox.access.tfa.$(userid).$get()

List TFA configurations of users.

Returns an array of object.

ParameterTypeRequiredNotes
useridstringyesFull User ID, in the name@realm format. — format pve-userid, ≤ 64 chars

POST /access/tfa/{userid} ​

ts
proxmox.access.tfa.$(userid).$post()

Add a TFA entry for a user.

Returns object.

WARNING

Not callable with an API token.

ParameterTypeRequiredNotes
challengestringWhen responding to a u2f challenge: the original challenge string
descriptionstringA description to distinguish multiple entries from one another — ≤ 255 chars
passwordstringThe current password of the user performing the change. — ≤ 64 chars
totpstringA totp URI.
typetotp | u2f | webauthn | recovery | yubicoyesTFA Entry Type.
useridstringyesFull User ID, in the name@realm format. — format pve-userid, ≤ 64 chars
valuestringThe current value for the provided totp URI, or a Webauthn/U2F challenge response

GET /access/tfa/{userid}/{id} ​

ts
proxmox.access.tfa.$(userid).$(id).$get()

Fetch a requested TFA entry if present.

Returns object.

ParameterTypeRequiredNotes
idstringyesA TFA entry id.
useridstringyesFull User ID, in the name@realm format. — format pve-userid, ≤ 64 chars

PUT /access/tfa/{userid}/{id} ​

ts
proxmox.access.tfa.$(userid).$(id).$put()

Add a TFA entry for a user.

Returns nothing.

WARNING

Not callable with an API token.

ParameterTypeRequiredNotes
descriptionstringA description to distinguish multiple entries from one another — ≤ 255 chars
enablebooleanWhether the entry should be enabled for login.
idstringyesA TFA entry id.
passwordstringThe current password of the user performing the change. — ≤ 64 chars
useridstringyesFull User ID, in the name@realm format. — format pve-userid, ≤ 64 chars

DELETE /access/tfa/{userid}/{id} ​

ts
proxmox.access.tfa.$(userid).$(id).$delete()

Delete a TFA entry by ID.

Returns nothing.

WARNING

Not callable with an API token.

ParameterTypeRequiredNotes
idstringyesA TFA entry id.
passwordstringThe current password of the user performing the change. — ≤ 64 chars
useridstringyesFull User ID, in the name@realm format. — format pve-userid, ≤ 64 chars